Available in Classic and VPC
View the content of an API document deployed on Canary in the Swagger JSON format.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID associated with the API
|
api-id |
String | Required | API ID created on the product
|
stage-id |
String | Required | Stage ID created on the API
|
Request example
The following is a sample request.
curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"documentJson": "documentJson"
}
Response status codes
For response status codes common to API Gateway, see API Gateway response status codes.
Response example
The following is a sample response.
{
"documentJson": "{"swagger" : "2.0",
"info" : {
"description" : "api Description<br/>https://**********.apigw.ntruss.com/api/v1",
"version" : "2024-05-08T08:17:35Z",
"title" : "api-***"
},
"host" : "**********.apigw.ntruss.com",
"basePath" : "/***/***",
"schemes" : [ "https" ],
"paths" : {
"/" : { },
"/***" : {
"post" : {
"tags" : [ "v1" ],
"parameters" : [ {
"name" : "****",
"in" : "query",
"description" : "",
"required" : false,
"type" : "string",
"x-ncp-parameter-is-logged" : false
} ],
"security" : [ {
"x-ncp-iam" : [ ]
} ],
"responses" : {
"200" : {
"description" : "default"
}
},
"x-ncp-apigw-use-body-when-formdata" : false,
"x-ncp-apigateway-filters" : {
"valid" : {
"type" : "NONE"
},
"apiKey" : {
"required" : true
},
"auth" : {
"platform" : "IAM"
}
}
}
}
},
"securityDefinitions" : {
"x-ncp-iam" : {
"type" : "apiKey",
"name" : "x-ncp-iam",
"in" : "header",
"x-ncp-apigw-auth-ver" : "v2"
},
"x-ncp-apigw-api-key" : {
"type" : "apiKey",
"name" : "x-ncp-apigw-api-key",
"in" : "header"
}
}
}"
}